Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Class GinSimNodeKernel

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.plugins.ginsim.GinSimNodeKernel

public class GinSimNodeKernel
extends BaseSupport

Field Summary
`final static String` | `ELLIPSE_FORM_TYPE`
`final static String` | `POINT_FORM_TYPE`
`final static String` | `RECT_FORM_TYPE`

Constructor Summary
`GinSimNodeKernel(String name, String formType)`

Method Summary
`java.awt.Color` | `getBackgroundColor()`
`java.awt.Color` | `getForegroundColor()`
`String` | `getFormType()`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setForegroundColor(java.awt.Color foregroundColor)`
`void` | `setFormType(String formType)`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, getType, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Field Detail

### ELLIPSE_FORM_TYPE

    public final static String ELLIPSE_FORM_TYPE

### POINT_FORM_TYPE

    public final static String POINT_FORM_TYPE

### RECT_FORM_TYPE

    public final static String RECT_FORM_TYPE

Constructor Detail

### GinSimNodeKernel

    public GinSimNodeKernel(String name, String formType)

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### getForegroundColor

    public java.awt.Color getForegroundColor()

### getFormType

    public String getFormType()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

### setForegroundColor

    public void setForegroundColor(java.awt.Color foregroundColor)

### setFormType

    public void setFormType(String formType)

Association Links

to Class java.awt.Color

to Class java.awt.Color

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM